Foreman - Bug #26066

Foreman changes owner from group to user on edit
02/18/2019 07:27 AM - Adam Winberg
Description

When we create machines in Foreman | make sure that 'owner' is set to the relevant AD group so all members of this group can edit
the host. But if a member of the group does edit the host, Foreman changes the owner from the group to the user - why?

Looking at the logs there's an 'update event' on 'owner_id' and 'owner_type', even though the only thing the user was doing was

adding a puppetclass to the host.

2019-02-07T14:13:53 [I|appled4b00] Current user set

2019-02-07T14:13:53 [I|aud|ed4b00] HostClass (2090)

2019-02-07T14:13:53 [I|aud|e4b00] HostClass (2090)

2019-02-07T14:14:00 [I|appled4b00] Processed 7 task

2019-02-07T14:14:00 [I|laud|ed4b00] Host::Base (2999

2019-02-07T14:14:00 [I|laud|ed4b00] Host::Base (2999
]

2019-02-07T14:14:00 [I|aud|ed4b00] Host::Base (2999

So why is Foreman changing the owner of the host?

to a001538

(regular)

create event on puppetclass_id 232
create event on host_id 2999

s from queue

'Host::Managed Main', completed 7/7

) update event on disk ,

) update event on owner_id 94, 1

) update event on owner_type Usergroup, User

History

#1 - 02/18/2019 07:28 AM - Adam Winberg
- Found in Releases 1.20.1 added

#2 - 02/20/2019 04:51 PM - Marek Hulan

Does the hser have permission to see the usergroup? It might be that they don't hence it tries to set current user which | think is the default value.

That would be quite annoying bug.

#3 - 02/20/2019 05:55 PM - Adam Winberg

No, they dont have any usergroup permissions, didnt even think about that. | will add some view permissions and try it out, thanks for the tip!

#4 - 04/10/2019 09:43 AM - Adam Winberg

The issue does indeed seem to be missing permissions - thanks for the tip!
